package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 乐团科目规划表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("music_group_subject_plan")
public class MusicGroupSubjectPlan extends Model<MusicGroupSubjectPlan> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;
    /**
     * 乐团编号
     */
    @TableField("music_group_id_")
    private String musicGroupId;
    /**
     * 科目编号
     */
    @TableField("subject_id_")
    private Integer subjectId;
    /**
     * 预计学生数
     */
    @TableField("expected_student_num_")
    private Integer expectedStudentNum;
    /**
     * 报名学生数
     */
    @TableField("apply_student_num_")
    private Integer applyStudentNum;
    /**
     * 费用
     */
    @TableField("fee_")
    private BigDecimal fee;
    /**
     * 乐器团购类型（自备、赠送、租赁、团购）
     */
    @TableField("kit_group_purchase_type_")
    private String kitGroupPurchaseType;
    /**
     * 保证金（只有租赁才有）
     */
    @TableField("deposit_fee_")
    private BigDecimal depositFee;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;


    public Integer getId() {
        return id;
    }

    public MusicGroupSubjectPlan setId(Integer id) {
        this.id = id;
        return this;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public MusicGroupSubjectPlan setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
        return this;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public MusicGroupSubjectPlan setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
        return this;
    }

    public Integer getExpectedStudentNum() {
        return expectedStudentNum;
    }

    public MusicGroupSubjectPlan setExpectedStudentNum(Integer expectedStudentNum) {
        this.expectedStudentNum = expectedStudentNum;
        return this;
    }

    public Integer getApplyStudentNum() {
        return applyStudentNum;
    }

    public MusicGroupSubjectPlan setApplyStudentNum(Integer applyStudentNum) {
        this.applyStudentNum = applyStudentNum;
        return this;
    }

    public BigDecimal getFee() {
        return fee;
    }

    public MusicGroupSubjectPlan setFee(BigDecimal fee) {
        this.fee = fee;
        return this;
    }

    public String getKitGroupPurchaseType() {
        return kitGroupPurchaseType;
    }

    public MusicGroupSubjectPlan setKitGroupPurchaseType(String kitGroupPurchaseType) {
        this.kitGroupPurchaseType = kitGroupPurchaseType;
        return this;
    }

    public BigDecimal getDepositFee() {
        return depositFee;
    }

    public MusicGroupSubjectPlan setDepositFee(BigDecimal depositFee) {
        this.depositFee = depositFee;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public MusicGroupSubjectPlan setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public MusicGroupSubjectPlan setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "MusicGroupSubjectPlan{" +
        ", id=" + id +
        ", musicGroupId=" + musicGroupId +
        ", subjectId=" + subjectId +
        ", expectedStudentNum=" + expectedStudentNum +
        ", applyStudentNum=" + applyStudentNum +
        ", fee=" + fee +
        ", kitGroupPurchaseType=" + kitGroupPurchaseType +
        ", depositFee=" + depositFee +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        "}";
    }
}
